ros-jazzy-rqt-bag-plugins (1.5.6-1noble) noble; urgency=high

  * fix setuptools deprecations (backport #185 <https://github.com/ros-visualization/rqt_bag/issues/185>) (#203 <https://github.com/ros-visualization/rqt_bag/issues/203>)
    fix setuptools deprecations (#185 <https://github.com/ros-visualization/rqt_bag/issues/185>)
    (cherry picked from commit 34e39bcb6455d18d0073a05797e6e1f04bbcbf7c)
    Co-authored-by: mosfet80 <mailto:10235105+mosfet80@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 21 Jan 2026 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.5.5-1noble) noble; urgency=high

  * Display roll, pitch, yaw values for quaternions (backport #179 <https://github.com/ros-visualization/rqt_bag/issues/179>) (#199 <https://github.com/ros-visualization/rqt_bag/issues/199>)
    * Display roll, pitch, yaw values for quaternions (#179 <https://github.com/ros-visualization/rqt_bag/issues/179>)
    (cherry picked from commit 4593d82d2b23a322119c6a518befec970db7d54e)
  * Fixed image helper and added support for PNG-coded compressedDepth (backport #176 <https://github.com/ros-visualization/rqt_bag/issues/176>)  (#196 <https://github.com/ros-visualization/rqt_bag/issues/196>)
  * Improve plot view (backport #174 <https://github.com/ros-visualization/rqt_bag/issues/174>) (#195 <https://github.com/ros-visualization/rqt_bag/issues/195>)
  * plot_view: Fixed display of initial message (backport #180 <https://github.com/ros-visualization/rqt_bag/issues/180>) (#187 <https://github.com/ros-visualization/rqt_bag/issues/187>)
    plot_view: Fixed display of initial message (#180 <https://github.com/ros-visualization/rqt_bag/issues/180>)
    (cherry picked from commit 9ff337266e97143c2ec9eef6f9aa03bde2b31997)
    Co-authored-by: Martin Pecka <mailto:peci1@seznam.cz>
  * Contributors: Martin Pecka, mergify[bot]

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 06 Aug 2025 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.5.4-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 06 Sep 2024 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.5.3-1noble) noble; urgency=high

  * Adapted to rosbag2_py (backport #156 <https://github.com/ros-visualization/rqt_bag/issues/156>) (#165 <https://github.com/ros-visualization/rqt_bag/issues/165>)
    Adapted to rosbag2_py (#156 <https://github.com/ros-visualization/rqt_bag/issues/156>)
    * Switch to an in-built ImageQt class.
    That's because in newer versions of PIL, they skip over
    PyQt5 support even though it works.
    * Update for new rosbag2_py API.
    * Fix TopicMetadata call
    * Avoid freeze the gui
    * Fixed checkboes
    * Update with the license from PIL.
    Note that this is an OSI-approved license, even though
    it is technically deprecated by
    OSI: https://opensource.org/license/historical-php
    * Only change the checkbox when needed.
    Otherwise, we end up with endless paint() calls which
    hammer the CPU.
    * A few small fixes for PIL.
    (cherry picked from commit e7879325f075c9d6749a4324618691933727574c)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Fixed image timeline renderer (backport #158 <https://github.com/ros-visualization/rqt_bag/issues/158>) (#163 <https://github.com/ros-visualization/rqt_bag/issues/163>)
    Fixed image timeline renderer (#158 <https://github.com/ros-visualization/rqt_bag/issues/158>)
    (cherry picked from commit a939f27f6323ba1117edaafcdc498fc982743d4f)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 14 May 2024 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.5.2-1noble) noble; urgency=high

  * Add a test dependency on pytest. (#153 <https://github.com/ros-visualization/rqt_bag/issues/153>)
  * Revert "Add a dependency on pytest to rqt_bag and rqt_bag_plugins. (#… (#151 <https://github.com/ros-visualization/rqt_bag/issues/151>)
  * Update maintainer to myself. (#150 <https://github.com/ros-visualization/rqt_bag/issues/150>)
  * Update maintainer list in package.xml files (#149 <https://github.com/ros-visualization/rqt_bag/issues/149>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.5.1-1noble) noble; urgency=high

  * Add a dependency on pytest to rqt_bag and rqt_bag_plugins. (#148 <https://github.com/ros-visualization/rqt_bag/issues/148>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.5.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.4.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.4.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.3.1-1noble) noble; urgency=high

  * Changes the use of __slots__ for the field and field type getter (#138 <https://github.com/ros-visualization/rqt_bag/issues/138>)
  * Contributors: Eloy Briceno

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.3.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#132 <https://github.com/ros-visualization/rqt_bag/issues/132>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.2.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.2.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.1.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 06 Feb 2022 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.1.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.1.0-1noble) noble; urgency=high

  * Refactor the Rosbag2 class (#91 <https://github.com/ros-visualization/rqt_bag/issues/91>)
  * Contributors: Michael Jeronimo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (1.0.0-1noble) noble; urgency=high

  * Port the plot view to ROS2 (#79 <https://github.com/ros-visualization/rqt_bag/issues/79>)
  * Port the image_view plugin to ROS2 (#78 <https://github.com/ros-visualization/rqt_bag/issues/78>)
  * Starting point for resuming the ROS2 port (#70 <https://github.com/ros-visualization/rqt_bag/issues/70>)
  * Make the tree controls in the Raw View and Plot View consistent (#57 <https://github.com/ros-visualization/rqt_bag/issues/57>)
  * Update the package.xml files with the latest Open Robotics maintainers (#58 <https://github.com/ros-visualization/rqt_bag/issues/58>)
  * initialize pil_mode when image is compressed (#54 <https://github.com/ros-visualization/rqt_bag/issues/54>)
  * Contributors: John Stechschulte, Michael Jeronimo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 19 Nov 2020 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.15-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Aug 2020 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.14-1noble) noble; urgency=high

  * support 16-bit bayer images (#45 <https://github.com/ros-visualization/rqt_bag/issues/45>)
  * maintain image aspect ratio (#32 <https://github.com/ros-visualization/rqt_bag/issues/32>)
  * fix Python 3 issue: long/int (#51 <https://github.com/ros-visualization/rqt_bag/issues/51>)
  * fix Python 3 issue: ensure str is encoded before decoding (#50 <https://github.com/ros-visualization/rqt_bag/issues/50>)
  * bump CMake minimum version to avoid CMP0048 warning

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 07 Aug 2020 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.13-1noble) noble; urgency=high

  * add Python 3 conditional dependencies (#44 <https://github.com/ros-visualization/rqt_bag/issues/44>)
  * add cairocffi as the fallback module (#43 <https://github.com/ros-visualization/rqt_bag/issues/43>)
  * autopep8 (#30 <https://github.com/ros-visualization/rqt_bag/issues/30>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 Mar 2020 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.12-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Mar 2018 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.11-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 01 Nov 2017 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.10-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.9-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 12 Oct 2017 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.8-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.7-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.5-1noble) noble; urgency=high

  * fix Python 2 regression from version 0.4.4 (#426 <https://github.com/ros-visualization/rqt_common_plugins/issues/426>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.4-1noble) noble; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.2-1noble) noble; urgency=high

  * fix crash when toggling thumbnail (#380 <https://github.com/ros-visualization/rqt_common_plugins/issues/380>)
  * lock bag when reading for plotting (#382 <https://github.com/ros-visualization/rqt_common_plugins/pull/382>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 May 2016 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.4.0-1noble) noble; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 27 Apr 2016 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.13-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 08 Mar 2016 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.12-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Jul 2015 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.11-1noble) noble; urgency=high

  * add missing dependency on rqt_plot (#316 <https://github.com/ros-visualization/rqt_common_plugins/pull/316>)
  * work around Pillow segfault if PyQt5 is installed (#289 <https://github.com/ros-visualization/rqt_common_plugins/pull/289>, #290 <https://github.com/ros-visualization/rqt_common_plugins/pull/290>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 30 Apr 2015 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.10-1noble) noble; urgency=high

  * add displaying of depth image thumbnails

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 01 Oct 2014 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.9-1noble) noble; urgency=high

  * add missing dependency on python-cairo (#269 <https://github.com/ros-visualization/rqt_common_plugins/issues/269>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.8-1noble) noble; urgency=high

  * fix missing installation of resource subfolder

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 15 Jul 2014 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.7-1noble) noble; urgency=high

  * add plotting plugin (#239 <https://github.com/ros-visualization/rqt_common_plugins/issues/239>)
  * fix rqt_bag to plot array members (#253 <https://github.com/ros-visualization/rqt_common_plugins/issues/253>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 11 Jul 2014 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 02 Jun 2014 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.5-1noble) noble; urgency=high

  * fix PIL/Pillow error (#224 <https://github.com/ros-visualization/rqt_common_plugins/issues/224>)

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 28 Jan 2014 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 14 Oct 2013 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 09 Oct 2013 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.3.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 28 Aug 2013 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.17-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 04 Jul 2013 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.16-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Apr 2013 13:33:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.15-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Apr 2013 00:02:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.14-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 14 Mar 2013 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.13-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 11 Mar 2013 22:14:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.12-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 11 Mar 2013 13:56:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.11-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.10-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Jan 2013 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.9-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jan 2013 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.8-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 11 Jan 2013 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.7-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 24 Dec 2012 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 23 Dec 2012 00:00:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.5-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Dec 2012 19:11:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Dec 2012 01:13:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 21 Dec 2012 00:24:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 20 Dec 2012 18:29:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 20 Dec 2012 17:47:00 -0000

ros-jazzy-rqt-bag-plugins (0.2.0-1noble) noble; urgency=high

  * first release of this package into Groovy

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 20 Dec 2012 17:39:00 -0000


